Last modified: 2012-03-16 08:27:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35141 - Rename "gerrit2" bot/approver to "linterbot" or similar
Rename "gerrit2" bot/approver to "linterbot" or similar
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-11 00:43 UTC by Sumana Harihareswara
Modified: 2012-03-16 08:27 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2012-03-11 00:43:26 UTC
The name "gerrit2" (the Gerrit username of the linter bot that automatically runs proposed merges through a linter) is confusing.  Renaming "gerrit2" is a quick win that aids in understandability.  Could we please rename that Gerrit user to "linterbot" or something similar?

All Jenkins things will go through "jenkinsbot" which is a reasonable model to copy here.
Comment 1 Sumana Harihareswara 2012-03-11 00:45:43 UTC
Assigning to Antoine -- Antoine, can you work with Ryan to make this happen before the March 21st migration?  If you think it's too much work to fit into our other pre-March-21 TODOs, then please say so.
Comment 2 Sumana Harihareswara 2012-03-15 00:14:49 UTC
I'm presuming that we can't do this by March 21st.  So, not a blocker to the migration.
Comment 3 Antoine "hashar" Musso (WMF) 2012-03-16 08:12:20 UTC
The approval is done by Gerrit hook system which use the system user named gerrit2.

Note that this is now only done on operations/puppet repository since change 2992 https://gerrit.wikimedia.org/r/2992

Other lints will be handled by Jenkins jobs.


So I guess we can just wont fix this bug.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links